export const findItemById = function (list, id) {
  // 每次进来使用find遍历一次
  let res = list.find((item) => item.value === id)

  if (res) {
    return res.text
  } else {
    for (let i = 0; i < list.length; i++) {
      if (list[i].children instanceof Array && list[i].children.length > 0) {
        res = findItemById(list[i].children, id)
        if (res) { return res }
      }
    }

    return null
  }
}
